

function GoogleFeedView($) {
    this.$ = $;
    this.numEntriesToDisplay = 3;
}

GoogleFeedView.prototype = {

    render: function ($section, feed) {
        var self = this;

        function extractImages(entry) {
            var images = [];

            var mediaGroups = entry.mediaGroups;
            if (mediaGroups) {
                mediaGroups.forEach(function (group) {
                    var mediaContents = group.contents;
                    if (mediaContents) {
                        mediaContents.forEach(function (media) {
                            //console.info('media', media);
                            if (media.medium === 'image') {
//                                var thumbnails = media.thumbnails;
//                                if (thumbnails) {
//                                    thumbnails.forEach(function (thumbnail) {
//                                        var $img = $('<img>').attr('src', thumbnail.url).attr('title', media.title);
//                                        images.push($img);
//                                    });
//                                }
                                var $img = $('<img>').attr('src', media.url).attr('title', media.title);
                                images.push($img);
                            }
                        });
                    }
                });

            }
            //console.info('images', images);
            return images;
        }


        var $list = this.$('<div>').addClass('section-content');

        var $header = self.$('<header>');
        var $a = self.$('<a>').attr('href', feed.link).attr('title', feed.description);
        $a.html(feed.title);
        $header.html($a);

        $list.append($header);

        var index = 0;
        feed.entries.every(function (entry) {

            var $item = self.$('<article>');
            var $a = self.$('<a>').attr('href', entry.link).attr('title', entry.contentSnippet);
            //$a.html(entry.title);

            $a.append(self.$('<span>').addClass('status').html('•'));
            $a.append(self.$('<span>').addClass('title').html(entry.title));

            /*var images = extractImages(entry);
            if (images.length > 0 && index == 0) {
                var $imageHolder = $('<div>').addClass('image');
                $imageHolder.append(images[0]);
                $item.append($imageHolder);
            }*/

            /*images.forEach(function(img) {
                $item.append(img);
            });*/

            /*var $imageHolder = $('<div>').addClass('image');
            images.forEach(function(img) {
                $imageHolder.append(images[0]);
                $item.append($imageHolder);
            });*/

            $item.append($a);
            $list.append($item);

            return (++index < self.numEntriesToDisplay);
        });
        $section.append($list);

        return $section;
    }

};